<template>
    <div>
        <custom-card>
            <auto-datatable
                model="AuditTrail"
                no-export
                :filters="[
                    {
                        label: $t('admin'),
                        name: 'f-has-admin-username',
                        type: 'text'
                    },
                    [
                        {
                            label: $t('description'),
                            name: 'f-like-description',
                            type: 'text'
                        }
                    ]

                ]"
                :headers="[
                    {label: '#', name: 'id'},
                    {label: $t('operation'), name: 'operation', sortable: false},
                    {label: $t('admin'), name: 'admin_username'},
                    {label: $t('data'), name: 'model_class'},
                    {label: $t('description'), name: 'description'},
                    {label: $t('action'), name: 'action'},
                    {label: $t('created_at'), name: 'created_at'},
                ]"
            >
                <template #default="{records}">
                    <tr
                        v-for="(record, i) in records"
                        :key="i"
                    >
                        <td>{{ i+1 }}</td>
                        <td>
                            <div class="flex justify-start space-x-1">
                                <view-button
                                    @click="model = record"
                                />
                            </div>
                        </td>
                        <td>{{ record.admin_username }}</td>
                        <td>{{ record.model_class }}</td>
                        <td>{{ record.description }}</td>
                        <td>{{ record.operation }}</td>
                        <td>{{ $helper.dateTimeFormat(record.created_at) }}</td>
                    </tr>
                </template>
            </auto-datatable>
        </custom-card>
        <panel-modal
            v-if="model"
            :has-footer="false"
            @close="model = null"
        >
            <template #body>
                <model-view
                    :model="model"
                    @close="model = null"
                />
            </template>
        </panel-modal>
    </div>
</template>
<script setup>
import CustomCard from "~/components/custom-card.vue";
import AutoDatatable from "~/components/auto-datatable.vue";
import ViewButton from "~/components/button/view-button.vue";
import {ref} from "vue";
import PanelModal from "~/components/panel-modal.vue";
import ModelView from "~/pages/main/other/audit-trail/model-view.vue";

const model = ref(null);
</script>
